error.cpp File Reference
`#include "stdinc.h"`
`#include "error.h"`
`#include "Scanner.h"`
`#include "FrobbyStringStream.h"`

Go to the source code of this file.

## Functions

void | reportError (const string &errorMsg)
void | reportInternalError (const string &errorMsg)
void | reportInternalError (const string &errorMsg, const char *file, unsigned int lineNumber)
void | reportSyntaxError (const Scanner &scanner, const string &errorMsg)

## Function Documentation

## reportError()

void reportError | ( | const string & | errorMsg | ) |

Definition at line 23 of file error.cpp.

## reportInternalError() [1/2]

void reportInternalError | ( | const string & | errorMsg | ) |

Definition at line 29 of file error.cpp.

## reportInternalError() [2/2]

void reportInternalError | ( | const string & | errorMsg,
|  | const char * | file,
|  | unsigned int | lineNumber )

Definition at line 35 of file error.cpp.

## reportSyntaxError()

void reportSyntaxError | ( | const Scanner & | scanner,
|  | const string & | errorMsg )

Definition at line 44 of file error.cpp.